%define version 3.1b7
%define release 13mdk

Summary:	Bundled Utilities for configuring an using ISDN4Linux
Name:		isdn4k-utils
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Configuration/Networking
Source:		isdn4k-utils.v3.1beta7.tar.bz2
Patch1:		isdn4k-utils.ipppd.patch.bz2
Patch2:		isdn4k-utils.make.patch.bz2
Patch3:		isdn4k-utils-3.1beta7-newisdninclude.patch.bz2
Patch4:		isdn4k-utils-ipppd.patch.bz2
Patch5:		isdn4k-utils-misc.patch.bz2
Patch6:		isdn4k-utils-vbox.patch.bz2
Patch7:		isdn4k-utils-nomknod.patch.bz2
URL:		http://www.isdn4linux.de
Requires:	kernel >= 2.2.0
BuildRoot:	%{_tmppath}/isdn4k-utils-root

%description
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN; vbox, an answering-machine and (for use with AVM-B1 only)
capifax, a faxmachine.

%prep

# unpack main sources
%setup -q -n isdn4k-utils
# patch should rebuilt
# for ipppX route
%patch1 -p1
#used to build in non root - doesn't work (dam's)
%patch2 -p1
%patch3 -p1

%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
perl -p -i -e "s|CONFIG_FAQDIR=.*|CONFIG_FAQDIR=\'%{_docdir}/%{name}-%{version}\'|" .config.rpm
# AMD K6 is not an i686
%ifarch
perl -p -i -e "s/k6 \| //" vbox3/config.sub
perl -p -i -e "s/k6-\* \| //" vbox3/config.sub
perl -p -i -e "s/\| k5 \|/\| k5 \| k6 \|/" vbox3/config.sub
perl -p -i -e "s/\| k5-\* \|/\| k5-\* \| k6-* \|/" vbox3/config.sub
%endif
cp .config.rpm .config
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" subconfig
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" xisdnload/Makefile xmonisdn/Makefile
perl -p -i -e "s|CXXDEBUGFLAGS = \-0.*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" xisdnload/Makefile xmonisdn/Makefile
cp isdnlog/isdnlog/isdnlog.5.in isdnlog/isdnlog/isdnlog.5
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/{sbin,bin,include},%{_mandir},%{_docdir}}
(cd $RPM_BUILD_ROOT; ln -s $RPM_BUILD_ROOT/%{_mandir} $RPM_BUILD_ROOT/usr/man; \
 ln -s $RPM_BUILD_ROOT/%{_docdir} $RPM_BUILD_ROOT/usr/doc)
mkdir -p $RPM_BUILD_ROOT%{_libdir}/isdn
mkdir -p $RPM_BUILD_ROOT/etc/isdn
mkdir -p $RPM_BUILD_ROOT/dev
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/etc/isdn
for i in *.new ; do
	mv $i `basename $i .new`
done
mkdir -p $RPM_BUILD_ROOT/etc/ppp
touch $RPM_BUILD_ROOT/etc/ppp/ioptions
cd $RPM_BUILD_ROOT
#chown -R root.root *
chmod -s $RPM_BUILD_ROOT%{_bindir}/xmonisdn
chmod g+s $RPM_BUILD_ROOT%{_bindir}/xmonisdn
rm -f $RPM_BUILD_ROOT/dev/tty* $RPM_BUILD_ROOT/usr/{doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig 

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
/sbin
%{_bindir}
%{_libdir}/isdn
%{_libdir}/libcapi20*
%{_includedir}
/usr/X11R6/include/X11/bitmaps
%config(noreplace) /usr/X11R6/lib/X11/app-defaults/*
%dir /etc/isdn
%config(noreplace) /etc/isdn/vboxgetty.conf
%config(noreplace) /etc/isdn/vboxd.conf
%config(noreplace) /etc/isdn/isdn.conf
%config(noreplace) /etc/ppp/ioptions
%doc %{_mandir}/man1/*
%doc %{_mandir}/man4/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man7/*
%doc %{_mandir}/man8/*
%doc %{_docdir}/vbox/*
%doc /usr/X11R6/man/man1/*
%doc %{_docdir}/%{name}-%{version}
%dir /var/spool/vbox
%dir /var/log/vbox

%changelog
* Fri Sep  1 2000 dam's <damien@mandrakesoft.com> 3.1b7-13mdk
- added noreplace.

* Sun Aug 27 2000 dam's <damien@mandrakesoft.com> 3.1b7-12mdk
- Corrected patch 6 (vbox).
- not creating nodes anymore.

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 3.1b7-11mdk
- added patch 7 (nomknod) to mknod at postinstall

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 3.1b7-10mdk
- Added patch 6 to correct vbox configure. Bad hack.
- Applying patch 2 again.

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b7-9mdk
- Remove dev entry moved to dev package.
- Add defaultroute feature.


* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1b7-7mdk
- remove duplicated /dev entries (old bug)
- use new macros
- BM (aka titi&&warly&&chmoul vs the whole world)

* Mon Jun 19 2000 dam's <damien@mandrakesoft.com> 3.1b7-6mdk
- root rebuild to make it work.

* Thu May 25 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1b7-4mdk
- Fix build for i486 & K6
- spec-helper
- Really use RPM_OPT_FLAGS
- Relocate doc in the right directory

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b7-3mdk
- Clean up specs.
- Fix compilation with last kernel.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 3.1b7-2mdk
- Removed rootperm use (make.patch). 

* Sat Feb 05 2000 Jesse Kuang <kjx@linux-mandrake.com>
- fixes libcapi20.so missing

* Sat Jan 29 2000 Jesse Kuang <kjx@linux-mandrake.com>
- update to 3.1beta7

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix includes.
- Build release.

* Sun Aug 19 1999 Jesse Kuang <kjx@linux.org.cn>
- 3.0 doesn't work with 2.2.12/13, using CVS snapshot
- fix ipppX route when hangup, need /etc/ppp/ioptions

* Tue Aug 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix security leak (xmonisdn needs setgid, not setuid)

* Tue May 18 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- chown -R root.root *

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- rebuild with new kernel

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- initial Mandrake SRPM
